Bug 867406 - gluster volume replace-brick does not work as expected
gluster volume replace-brick does not work as expected
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 09:00 EDT by Bala.FA
Modified: 2015-11-22 21:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-10-17 09:00:39 EDT
Description of problem:
I did replace-brick in a distribute volume and 'replace-brick status' showed 'Migration complete'.  After commit, I lost all files.


Version-Release number of selected component (if applicable):


How reproducible:
# gluster volume create test1 192.168.122.2:/tmp/test1-b1
# gluster volume start test1
# mount -t glusterfs 192.168.122.2:test1 /mnt
# cp -avi /etc/* /mnt
# umount /mnt
# gluster volume replace-brick test1 192.168.122.2:/tmp/test1-b1 192.168.122.2:/tmp/test1-b2 start
# gluster volume replace-brick test1 192.168.122.2:/tmp/test1-b1 192.168.122.2:/tmp/test1-b2 status
volume replace-brick: success: Number of files migrated = 0     Migration complete
# gluster volume replace-brick test1 192.168.122.2:/tmp/test1-b1 192.168.122.2:/tmp/test1-b2 commit
# mount -t glusterfs 192.168.122.2:test1 /mnt
# ls -la /mnt
missing files


Expected results:
All files need to be in new brick and available on mounting

Additional info:

I see 'Number of files migrated = 0', this could be the reason for missing files
Comment 1 Amar Tumballi 2012-10-23 10:10:56 EDT
keeping replace-brick issues with KP. Btw, upstream replace-brick is in discussion for removal : http://www.gluster.org/pipermail/gluster-users/2012-October/034473.html (its not yet finalized), so upstream may not be a good place for testing of replace-brick yet.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.